﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.ComponentModel.Composition.Hosting;

namespace AnalyticsSample
{
    public class AnalyticsAppService : IApplicationService
    {
        /// <summary>
        /// Initialize the assembly catalogs for the Silverlight Anlaytics Framework
        /// </summary>
        /// <param name="context">the application service context</param>
        public void StartService(ApplicationServiceContext context)
        {

            CompositionHost.Initialize(new AssemblyCatalog(
                Application.Current.GetType().Assembly),
                new AssemblyCatalog(typeof(Microsoft.WebAnalytics.AnalyticsEvent).Assembly),
                new AssemblyCatalog(typeof(Microsoft.WebAnalytics.Behaviors.TrackAction).Assembly),
                new AssemblyCatalog(typeof(Google.WebAnalytics.GoogleAnalytics).Assembly));
        }

        /// <summary>
        /// Stop the service
        /// </summary>
        public void StopService()
        {
        }
    }
}
